package com.common;

import com.ydd.framework.core.common.sms.enums.SmsPlatformEnum;
import com.ydd.framework.core.common.sms.enums.SmsStatusEnum;
import com.ydd.framework.core.common.sms.enums.SmsTypeEnum;

import java.io.Serializable;
import java.util.Date;

/**
 * Entity - 短信
 *
 * @author Demon
 * @since 2017-11-04
 */
public class Sms implements Serializable {

    private static final long serialVersionUID = -8913103770849451232L;

    /**
     * 编号
     */
    private Integer id;

    /**
     * 平台
     *
     * @see SmsPlatformEnum
     */
    private Byte platform;

    /**
     * 状态
     *
     * @see SmsStatusEnum
     */
    private Byte status;

    /**
     * 类型
     *
     * @see SmsTypeEnum
     */
    private Byte type;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 短信内容
     */
    private String content;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Byte deleted;

    /**
     * 获取编号
     *
     * @return 编号
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置编号
     *
     * @param id 编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取平台
     *
     * @return 平台
     */
    public Byte getPlatform() {
        return platform;
    }

    /**
     * 设置平台
     *
     * @param platform 平台
     */
    public void setPlatform(Byte platform) {
        this.platform = platform;
    }

    /**
     * 获取状态
     *
     * @return 状态
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    public Byte getStatus() {
        return status;
    }

    /**
     * 设置状态
     *
     * @param status 状态
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    public void setStatus(Byte status) {
        this.status = status;
    }

    /**
     * 获取类型
     *
     * @return 类型
     */
    public Byte getType() {
        return type;
    }

    /**
     * 设置类型
     *
     * @param type 类型
     */
    public void setType(Byte type) {
        this.type = type;
    }

    /**
     * 获取手机号码
     *
     * @return 手机号码
     */
    public String getMobile() {
        return mobile;
    }

    /**
     * 设置手机号码
     *
     * @param mobile 手机号码
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 获取短信内容
     *
     * @return 短信内容
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置短信内容
     *
     * @param content 短信内容
     */
    public void setContent(String content) {
        this.content = content;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId() {
        return createdId;
    }

    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId) {
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId() {
        return modifiedId;
    }

    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId) {
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime() {
        return createdTime;
    }

    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime() {
        return modifiedTime;
    }

    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取删除标识位
     *
     * @return 删除标识位
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    public Byte getDeleted() {
        return deleted;
    }

    /**
     * 设置删除标识位
     *
     * @param deleted 删除标识位
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    public void setDeleted(Byte deleted) {
        this.deleted = deleted;
    }

}